Page MenuHomePhabricator

Remove Special:UserProfile class with redirect from MobileFrontend
Closed, ResolvedPublic1 Story Points

Description

Special:Userprofile was removed on all instances in production cluster on Feb 4th 2016.
It should be fully removed when traffic to the Special:Userprofile is sufficiently low to not warrant a redirect OR 5th March which ever is sooner.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MobileFrontend.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 4 2016, 10:05 PM
phuedx changed the task status from Open to Stalled.Feb 8 2016, 6:13 PM
phuedx added a subscriber: phuedx.
bd808 triaged this task as Normal priority.Feb 8 2016, 6:13 PM
bd808 added a subscriber: bd808.
phuedx added a comment.Feb 8 2016, 6:13 PM

Waiting for the Varnish cache to be cleared.

@Jdlrobson, how low is "sufficiently low"? I could compare the total pageviews 10 days before and after the change (Feb 4th) and look at the difference. Would 50% decrease be sufficiently low?

Jdlrobson set the point value for this task to 1.Feb 22 2016, 5:49 PM

Change 272650 had a related patch set uploaded (by Bmansurov):
Completely remove Special:UserProfile

https://gerrit.wikimedia.org/r/272650

@bmansurov what is current traffic to the Special:Userprofile page according to the access log? We want to ensure as few people as possible click on the user profile link in the last modified bar for a cached page and gets a 404.

Yesterday, when I ran a query, it didn't return anything. I wanted to paste it here now, but I lost my access to hue (T113069#2058186). Alternatively, I checked the API endpoint, which says the page titled "Special:Userprofile" doesn't exist:

{"type":"https://restbase.org/errors/https://restbase.org/errors/not_found","title":"Not found.","method":"get","detail":"The date(s) you used are valid, but we either do not have data for those date(s), or the project you asked for is not loaded yet. Please check https://wikimedia.org/api/rest_v1/?doc for more information.","uri":"/analytics.wikimedia.org/v1/pageviews/per-article/en.wikipedia/mobile-web/user/Special%3AUserProfile/daily/20160101/20160203"}

Be sure to remember the special page takes a second parameter so you'd be looking at traffic to all usernames <name> for Special:UserProfile

e.g. http://en.m.wikipedia.org/wiki/Special:Userprofile/Jdlrobson

OK, I'll try a different query once I can get into hue.

@Tbayer I'm trying to get the number of page views for the "Special:UserProfile/<username>" pages with the following query. The result is empty. Do you know why?

SELECT SUM(view_count) ct
FROM wmf.pageview_hourly
WHERE year = 2016 and (month = 1 OR month = 2)
    AND access_method = 'mobile web'
    AND agent_type = 'user'
    AND project = 'en.wikipedia'
    AND page_title like 'Special:UserProfile*'
GROUP BY CONCAT(LPAD(month, 2, "0"), "-", LPAD(day, 2, "0"));

Thanks!

@bmansurov: The wildcard character for LIKE in HQL and SQL is "%" or "_", not "*".

With that, your query gives a non-empty result:

SELECT SUM(view_count) ct
FROM wmf.pageview_hourly
WHERE year = 2016 and (month = 1 OR month = 2)
    AND access_method = 'mobile web'
    AND agent_type = 'user'
    AND project = 'en.wikipedia'
    AND page_title like 'Special:UserProfile%'
GROUP BY CONCAT(LPAD(month, 2, "0"), "-", LPAD(day, 2, "0"));

...

OK
ct
18654
19615
17536
14463
18377
20338
21033
18414
18109
17687
17683
17848
18644
21145
20229
18594
17239
19044
16958
18103
19675
18038
17690
16917
17225
16835
18771
20527
19234
18339
18111
17376
17139
17844
20094
Time taken: 901.392 seconds, Fetched: 35 row(s)
bmansurov added a comment.EditedFeb 24 2016, 11:49 PM

@Tbayer, you rock! Thanks!

So I tried to run a modified query to get the dates too, but it didn't return anything. I ran your exact query above and that one doesn't return anything. I guess it has something to do with my account.

@Jdlrobson, as you can see from @Tbayer's data above, the pageviews for the two months resulted only 35 rows meaning that all of January + 4 days of February. After that there are no requests to the special page. I think it's safe to merge the patch now.

Correct. Just for clarity and to avoid having to count rows and rely on the assumption that the daus with 0 views come at the end, we can also select the date together with the view count:

SELECT month, day, SUM(view_count) AS ct
    FROM wmf.pageview_hourly
    WHERE year = 2016 and (month = 1 OR month = 2)
        AND access_method = 'mobile web'
        AND agent_type = 'user'
        AND project = 'en.wikipedia'
        AND page_title like 'Special:UserProfile%'
    GROUP BY month, day ORDER BY month, day LIMIT 2000;
...
OK
month	day	ct
1	1	18377
1	2	20338
1	3	21033
1	4	18414
1	5	18109
1	6	17687
1	7	17683
1	8	17848
1	9	18644
1	10	21145
1	11	20229
1	12	18594
1	13	17239
1	14	19044
1	15	16958
1	16	18103
1	17	19675
1	18	18038
1	19	17690
1	20	16917
1	21	17225
1	22	16835
1	23	18771
1	24	20527
1	25	19234
1	26	18339
1	27	18111
1	28	17376
1	29	17139
1	30	17844
1	31	20094
2	1	18654
2	2	19615
2	3	17536
2	4	14463
Time taken: 633.233 seconds, Fetched: 35 row(s)

@Tbayer, thanks again. I couldn't run the query myself because of T128039.

Great @Tbayer @bmansurov thanks for your thoroughness here!

Change 272650 merged by jenkins-bot:
Completely remove Special:UserProfile

https://gerrit.wikimedia.org/r/272650

Jdlrobson closed this task as Resolved.Mar 3 2016, 5:54 PM

Signing off.

Catrope updated the task description. (Show Details)May 13 2019, 11:57 PM